Skip to Content
0

SOAP Axis Adapter - SAP PI 7.1

Jun 15, 2017 at 12:30 PM

124

avatar image

Hi Experts,

We are using SAP PI 7.1 version, will we be able to use SOAP Axis adapter functionality in this version???

Basis team has configured all the required components, but still below error is coming:

Adapter Framework caught exception: I/O operation failed : java.lang.ClassNotFoundException: com.sap.engine.messaging.impl.spi.transport.PasswordCredentialImpl ------------------------- Loader Info ------------------------- ClassLoader name: [sap.com/com.sap.aii.axis.app] Living status: alive Direct parent loaders: [system:Frame] [service:servlet_jsp] [service:ejb] [sap.com/com.sap.aii.adapter.axis] Resources: /usr/sap/XI2/DVEBMGS10/j2ee/cluster/apps/sap.com/com.sap.aii.axis.app/EJBContainer/applicationjars/com.sap.aii.adapter.axis.ejb.jar /usr/sap/XI2/DVEBMGS10/j2ee/cluster/apps/sap.com/com.sap.aii.axis.app/servlet_jsp/XIAxisAdapter/root/WEB-INF/lib/com.sap.aii.adapter.axis.web_api.jar --------------------------------------------------------------- :

Could someone please help me out with this...

Regards,
Aayush Aggarwal

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Raghuraman S Jun 15, 2017 at 01:16 PM
0

Can u check if the axis drivers are installed properly?

Show 5 Share
10 |10000 characters needed characters left characters exceeded

Hi Raghuraman,

Thanks for your answer, but do you mean that we can use the AXIS adapter in 7.1.

Also, could you please provide me with more details on where can i check whether the drivers are installed or not.

Basis team already configured the components as in "http://<host>:<port>/XIAxisAdapter/MessageServlet"

Thanks again...

Regards,

Aayush Aggarwal

0

Hello Aayush,

I think it is supported I am not able to find the relevant supporting documents.

You can check in the link as above to check the comps installation.

https://blogs.sap.com/2015/10/28/axis-adapter-installation-process-sap-pi-731/

0

Hi Raghuraman,

The link mentioned above is for 7.31 version.

Anyways, I shall share this link with our Basis team.

Thanks & Regards,

Aayush Aggarwal

0

Hi Aayush,

I used AXIS adapter in a XI 3.0, therefore it is supported in your PI version.

Try first with an easy example, to check if the drivers are ok.

Regards.

0

Hi Inaki,

Thanks for the information,

'Try first with an easy example, to check if the drivers are ok.' Could you please tell, how can i check that?

Regards,

Aayush Aggarwal

0